<?php

	/*
	 * Addon TvsBlog
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: config.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$art_table = $table_pre . "_articles";
	$cat_table = $table_pre . "_categories";
	$thispage = "tvsblog";
	$thissubpage = "settings";
	$myIniFile = $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";

	$blogarticle_id		= rex_post('blogarticle_id', 'string');
	$showfacebook		= rex_post('showfacebook', 'string');
	$facebook_app_id	= rex_post('facebook_app_id', 'string');
	$rssgenerate		= rex_post('rssgenerate', 'string');
	$rsstitle		    = rex_post('rsstitle', 'string');
	$rsslink		    = rex_post('rsslink', 'string');
	$rssdescription		= rex_post('rssdescription', 'string');
	$rsslanguage		= rex_post('rsslanguage', 'string');
	$rsscopyright		= rex_post('rsscopyright', 'string');
	$rssauthor		    = rex_post('rssauthor', 'string');
	$rssfilename		= rex_post('rssfilename', 'string');
	
	$mode       		= rex_post('mode', 'string');
	if ($mode == "save") {
        $ini = "";
        $ini .= "blogArticle_id=" . $blogarticle_id . "\n";
        $ini .= "showFacebook=" . $showfacebook . "\n";
        $ini .= "Facebook_App_ID=" . $facebook_app_id . "\n";
        $ini .= "rssGenerate=" . $rssgenerate . "\n";
        $ini .= "rssTitle=" . $rsstitle . "\n";
        $ini .= "rssLink=" . $rsslink . "\n";
        $ini .= "rssDescription=" . $rssdescription . "\n";
        $ini .= "rssLanguage=" . $rsslanguage . "\n";
        $ini .= "rssCopyright=" . $rsscopyright . "\n";
        $ini .= "rssAuthor=" . $rssauthor . "\n";
        $ini .= "rssFilename=" . $rssfilename . "\n";

		$fh = fopen($myIniFile, 'w') or die("Can't open " . $thispage . ".ini.");
		$stringData = stripslashes($ini);
		fwrite($fh, $stringData);
		fclose($fh);
		echo rex_info("Einstellungen gespeichert!");
	}

	if (file_exists($myIniFile)) {
		$stringData = file_get_contents($myIniFile);
		$settings = parse_ini_file($myIniFile);

        $blogarticle_id = $settings['blogArticle_id'];
        $article = OOArticle::getArticleById( $blogarticle_id );
        if($article)
            $blogarticle_name = $article->getName();
        $showfacebook = $settings['showFacebook'];
        if ($showfacebook == "1")
            $showfacebookchecked = "checked=\"checked\"";
        $facebook_app_id = $settings['Facebook_App_ID'];
            
        $rssgenerate = $settings['rssGenerate'];
        if ($rssgenerate == "1")
            $rssgeneratechecked = "checked=\"checked\"";
        $rsstitle = $settings['rssTitle'];
        $rsslink = $settings['rssLink'];
        $rssdescription = $settings['rssDescription'];
        $rsslanguage = $settings['rssLanguage'];
        $rsscopyright = $settings['rssCopyright'];
        $rssauthor = $settings['rssAuthor'];

    	$rssfilename    = $settings['rssFilename'];
	}

	if (trim($rssfilename) == "")
		$rssfilename = "tvsblog.xml";
	else
?>

<style type="text/css">
	textarea {
		width		: 740px;
		height		: 300px;
		border		: 1px solid #CCCCCC;
		font-family	: monospace;
		font-size	: 12px;
	}
</style>

<div class="rex-addon-output">
    <div class="rex-form">
        <form action="?page=<?php echo $thispage; ?>&subpage=<?php echo $thissubpage; ?>" method="post">
            <fieldset class="rex-form-col-1">
                <legend>Allgemeine Einstellungen</legend>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-checkbox">
                        <label for="blogarticle_id">Blog-Artikel-ID</label>
						<input type="hidden" name="blogarticle_id" id="LINK_1" value="<?php echo $blogarticle_id; ?>" /> <input type="text" size="40" name="redir_link_name" value="<?php echo $blogarticle_name; ?>" id="LINK_1_NAME" readonly="readonly" /> <a href="#" onclick="openLinkMap('LINK_1', '&clang=0&category_id=0');return false;" tabindex="24">  <img src="media/file_open.gif" width="16" height="16" alt="Öffne Strukturbaum" title="Öffne Strukturbaum" /> </a>
						<a href="#" onclick="deleteREXLink(1);return false;" tabindex="25">  <img src="media/file_del.gif" width="16" height="16" title="Auswahl entfernen" alt="Auswahl entfernen" /> </a>
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-checkbox">
                        <label for="showfacebook">Facebook-Like-Buttons</label>
                        <input id="showfacebook" name="showfacebook" type="checkbox" class="rex-form-text" value="1" <?php echo $showfacebookchecked; ?> />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="facebook_app_id">Facebook-App-ID</label>
                        <input id="facebook_app_id" name="facebook_app_id" type="text" class="rex-form-text" value="<?php echo $facebook_app_id; ?>" />
                    </p>
                    </div>
                </div>
            </fieldset>

            <fieldset class="rex-form-col-1">
                <legend>RSS-Einstellungen</legend>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-checkbox">
                        <label for="rssgenerate">RSS-Feed erzeugen</label>
                        <input id="rssgenerate" name="rssgenerate" type="checkbox" class="rex-form-text" value="1" <?php echo $rssgeneratechecked; ?> />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rsstitle">Titel</label>
                        <input id="rsstitle" name="rsstitle" type="text" class="rex-form-text" value="<?php echo $rsstitle; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rsslink">Link</label>
                        <input id="rsslink" name="rsslink" type="text" class="rex-form-text" value="<?php echo $rsslink; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rssdescription">Description</label>
                        <input id="rssdescription" name="rssdescription" type="text" class="rex-form-text" value="<?php echo $rssdescription; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rsslanguage">Language</label>
                        <input id="rsslanguage" name="rsslanguage" type="text" class="rex-form-text" value="<?php echo $rsslanguage; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rsscopyright">Copyright</label>
                        <input id="rsscopyright" name="rsscopyright" type="text" class="rex-form-text" value="<?php echo $rsscopyright; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rssauthor">Author</label>
                        <input id="rssauthor" name="rssauthor" type="text" class="rex-form-text" value="<?php echo $rssauthor; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rssfilename">Dateiname</label>
                        <input id="rssfilename" name="rssfilename" type="text" class="rex-form-text" value="<?php echo $rssfilename; ?>" />
                    </p>
                    </div>
                </div>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-col-a rex-form-text">
                        <label for="rsshref"></label>
                        <span id="rsshref" class="rex-form-read">Der RSS-Feed kann dann per Link so verknüpft werden:<br /><br /><b>&lt;a href="files/<?php echo $rssfilename; ?>" title="RSS-Feed abonnieren" type="application/rss+xml"&gt;RSS-Feed&lt;/a&gt;</b></span>
                    </p>
                    </div>
                </div>
            </fieldset>

            <fieldset class="rex-form-col-1">
                <legend></legend>
                <div class="rex-form-wrapper">
                    <div class="rex-form-row">
                     <p class="rex-form-submit">
					    <input type="hidden" name="mode" class="rex-form-submit" value="save" />
					    <input type="submit" name="save" class="rex-form-submit" value="Speichern" />
                    </p>
                    </div>
                </div>
            </fieldset>
		</form>
	</div>
</div>
